import { jsx } from "react/jsx-runtime";
import { CalendarDot as CalendarDot$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CalendarDot = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CalendarDot", ...props, children: /* @__PURE__ */ jsx(CalendarDot$1, { weight: variant }) });
  }
);
CalendarDot.displayName = "CalendarDot";
Object.assign(CalendarDot, { isGdsIcon: true });
export {
  CalendarDot
};
